#!/usr/bin/env python
# -*- coding: utf-8 -*-

import os
import sys


try:
    from setuptools import setup
except ImportError:
    from distutils.core import setup

if sys.argv[-1] == 'publish':
    os.system('python setup.py sdist upload')
    sys.exit()

readme = open('README.md').read()
history = open('HISTORY.md').read().replace('.. :changelog:', '')

setup(
    name='wren',
    version='0.1.5',
    description='Host information registry, integrated with KairosDB.',
    long_description=readme + '\n\n' + history,
    author='Kirill Borisov',
    author_email='borisov@bars-open.ru',
    url='https://src.bars-open.ru/py/m3/sadwind/wren',
    packages=[
        'wren',
    ],
    package_dir={'wren': 'wren'},
    include_package_data=True,
    install_requires=[
        'bottle',
        'pyyaml',
        'jinja2',
        'kairosapi'
    ],
    license="MIT",
    zip_safe=False,
    keywords='wren',
    classifiers=[
        'Development Status :: 3 - Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: BSD License',
        'Natural Language :: English',
        "Programming Language :: Python :: 2",
        'Programming Language :: Python :: 2.6',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.3',
    ],
    test_suite='tests',
)
